/* Copyright (C) 2002-2005, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef COMMANDLINE_HH
#define COMMANDLINE_HH

#include <string>

struct CommandLineOptions {
  bool printHelp;
  bool quietMode;
  bool alternateDate;
  bool snoopData;
  char initialPanel;
  char initialGraphMode;
  std::string rcFile;
};

bool parseCommandLine (int argc, char *argv[], CommandLineOptions& opts);

#endif
