/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef DATAHANDLER_HH
#define DATAHANDLER_HH

#include <string>

/**
 * Interface class for handling received (HTTP) data.
 */
class DataHandler {
  public:
    virtual ~DataHandler () {};

    virtual void processData (std::string& data) = 0;
};

#endif
