/* Copyright (C) 2003, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef HISTORYRECEIVER_HH
#define HISTORYRECEIVER_HH

#include "SampleTransformer.hh"

/**
 * Protocol class for receiving history data.
 */
class HistoryReceiver {
  public:
    virtual ~HistoryReceiver () {};

    virtual void setGraphData (const SampleVector& data) = 0;
};

#endif
