/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef SSLPTR_HH
#define SSLPTR_HH

#include <openssl/ssl.h>

/**
 * Resource manager for SSL objects.
 */
class SSLPtr {
  public:
    explicit SSLPtr (SSL *ptr);
    ~SSLPtr ();

    operator SSL * ();

  private:
    SSL *m_ssl;
};

#endif
