/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef SSL_CTXPTR_HH
#define SSL_CTXPTR_HH

#include <openssl/ssl.h>

/**
 * Resource manager for SSL_CTX objects.
 */
class SSL_CTXPtr {
  public:
    explicit SSL_CTXPtr (SSL_CTX *ptr);
    ~SSL_CTXPtr ();

    operator SSL_CTX * ();

  private:
    SSL_CTX *m_ssl;
};

#endif
