/* Copyright (C) 2002, Johny Mattsson
 *
 * This code is licenced under the GNU General Public Licence version 2.
 * See the file COPYING for details.
 */

#ifndef XRESOURCE_HH
#define XRESOURCE_HH

// Should be a template, but I can't be bothered right now... not with the
// template support in gcc being the way it is.

/**
 * Resource manager for many (most?) X resources, needed to be XFree()'d.
 */
class XResource {
  public:
    explicit XResource (void *xResource);
    ~XResource ();

  private:
    XResource (const XResource&);
    XResource& operator = (const XResource&);

    void *m_xResource;
};

#endif
